﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
Sub Class_Globals
	Private Root As B4XView 'ignore
	Private xui As XUI 'ignore
	Private strQuery As String
	Private ListView1 As ListView
End Sub

Public Sub Initialize
End Sub

Private Sub B4XPage_Created (Root1 As B4XView)
	Root=Root1
	Root.LoadLayout("Main")
	Starter.rp.CheckAndRequest(Starter.rp.PERMISSION_WRITE_EXTERNAL_STORAGE)
	wait for B4XPage_PermissionResult(Permision As String, Result As Boolean)
	If Result = False Then
		MsgboxAsync("No permission to access external storage", "")
		Return
	Else
		If Starter.SQL1.IsInitialized =False Then
			Starter.SQL1.Initialize(Starter.DBFilePath,Starter.DBFileName,True)
		End If
		Log("granted")
	End If
	Log("hi")
	
	CreateTable

	DisplayData
End Sub

Sub DisplayData
	Dim RS As ResultSet = Starter.SQL1.ExecQuery("SELECT rowid, * FROM Country  ORDER BY rowid" )
	
	Do While RS.NextRow
		Log($"${RS.GetString("rowid")} ${Chr(9)} ${RS.GetString("COUNTRY")} ${Chr(9)}${Chr(9)} ${RS.GetString("POPULATION")}"$ )	 'using smart string
		ListView1.AddSingleLine($"${RS.GetString("rowid")} ${Chr(9)} ${RS.GetString("COUNTRY")} ${Chr(9)}${Chr(9)} ${RS.GetString("POPULATION")}"$)
	Loop
	RS.Close
End Sub

Private Sub B4XPage_CloseRequest As ResumableSub
	Dim sf As Object = xui.Msgbox2Async("Do you want to Exit ?", "Exit", "Yes", "Cancel", "No", Null)
	Wait For (sf) Msgbox_Result (Result As Int)
	If Result = xui.DialogResponse_Positive Then
		Starter.SQL1.Close
		Return True
	End If
	Return False
End Sub

Sub CreateTable
	strQuery="DROP TABLE IF EXISTS Country"
	Starter.SQL1.ExecNonQuery(strQuery)
	
	strQuery="CREATE TABLE IF NOT EXISTS  Country (COUNTRY TEXT, POPULATION TEXT)"
	Starter.SQL1.ExecNonQuery(strQuery)
	
	strQuery="INSERT INTO Country VALUES(?,?)"
	Starter.SQL1.ExecNonQuery2(strQuery, Array As Object("CHINA","1330044000"))
	Starter.SQL1.ExecNonQuery2(strQuery, Array As Object("INDIA","1173108018"))
	Starter.SQL1.ExecNonQuery2(strQuery, Array As Object("USA","310232863"))
'	Starter.SQL1.ExecNonQuery2(strQuery, Array As Object("USA","310232863"))
	
	strQuery="INSERT INTO Country  VALUES(?,?), (?,?), (?,?)"
	Starter.SQL1.ExecNonQuery2(strQuery, Array As Object("BELGIUM","10403000", _
	"BOLIVIA","9947412", "IRAQ","29671605") )
	
	strQuery="INSERT INTO Country  VALUES(?,?), (?,?), (?,?)"
	Starter.SQL1.ExecNonQuery2(strQuery, Array As Object("TUNISIA","10589025", _
	"EGYPT", "80471869", "FRANCE","64768389") )
End Sub

